import { mapGetters } from 'vuex';
import { createDecorator } from 'vue-class-component';
export function MapGetter(options) {
    if (options === void 0) { options = {}; }
    var _a = options.namespace, namespace = _a === void 0 ? undefined : _a;
    return createDecorator(function (componentOptions, k) {
        if (typeof componentOptions.computed !== 'object') {
            componentOptions.computed = Object.create(null);
        }
        var mapArray = [k];
        componentOptions.computed[k] = namespace !== undefined
            ? mapGetters(namespace, mapArray)[k]
            : mapGetters(mapArray)[k];
    });
}
