import { createDecorator } from 'vue-class-component';
export function Prop(options) {
    if (options === void 0) { options = {}; }
    return createDecorator(function (componentOptions, k) {
        if (typeof componentOptions.props !== 'object') {
            componentOptions.props = Object.create(null);
        }
        componentOptions.props[k] = options;
    });
}
