import { createVuexDecorator } from './utils';
function createGetterFunction(value) {
    var getter = function (state) {
        return value.call(state);
    };
    return getter;
}
export function Getter() {
    return createVuexDecorator(function (componentOptions, k, description) {
        if (typeof componentOptions.getters !== 'object') {
            componentOptions.getters = Object.create(null);
        }
        componentOptions.getters[k] = createGetterFunction(description.value);
    });
}
