import { mapActions } from 'vuex';
import { createDecorator } from 'vue-class-component';
export function MapAction(options) {
    if (options === void 0) { options = {}; }
    var _a = options.namespace, namespace = _a === void 0 ? undefined : _a;
    return createDecorator(function (componentOptions, k) {
        if (typeof componentOptions.methods !== 'object') {
            componentOptions.methods = Object.create(null);
        }
        var mapArray = [k];
        componentOptions.methods[k] = namespace !== undefined
            ? mapActions(namespace, mapArray)[k]
            : mapActions(mapArray)[k];
    });
}
